Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #5

SMB transport plugin does not build
December 20, 2011 15:33 - Gétz Waschk

Status: Closed Start date: December 20, 2011
Priority: Minor Due date:

Assignee: John Lindgren % Done: 100%

Category: plugins/smb Estimated time: 0.00 hour

Target version: 3.2

Affects version: 3.2-alphat

Description

This is on Mandriva 2011 x86_64. The smb plugin fails to build like this:
smb.c: In function 'smb_vfs_fopen_impl':

smb.c:54:10: error: invalid application of 'sizeof' to incomplete type 'VFSFile'
smb.c:64:9: error: dereferencing pointer to incomplete type

smb.c: In function 'smb_vfs_fclose_impl':

smb.c:78:11: error: dereferencing pointer to incomplete type
smb.c:80:29: error: dereferencing pointer to incomplete type
smb.c:83:16: error: dereferencing pointer to incomplete type

smb.c: In function 'smb_vfs_fread_impl':

smb.c:94:27: error: dereferencing pointer to incomplete type

smb.c: In function 'smb_vfs_getc_impl"

smb.c:107:27: error: dereferencing pointer to incomplete type

smb.c: In function 'smb_vfs_fseek_impl'":

smb.c:120:27: error: dereferencing pointer to incomplete type

smb.c: In function 'smb_vfs_ftell_impl':

smb.c:156:27: error: dereferencing pointer to incomplete type

smb.c: In function 'smb_vfs_feof impl'"

smb.c:163:26: error: dereferencing pointer to incomplete type

smb.c: In function 'smb_vfs_fsize_impl':

smb.c:178:38: error: dereferencing pointer to incomplete type

smb.c: At top level:

smb.c:184:2: warning: initialization from incompatible pointer type [enabled by default]

smb.c:184:2: warning: (near initialization for 'smb_const.vfs_fopen_impl') [enabled by default]

Failed to compile smb.c (plugin)!
make™: *** [smb.plugin.o] Error 1

This is with audacious 3.2alpha1 and smbclient from Samba 3.5.10.

History

#1 - December 20, 2011 16:09 - Michat Lipski
- Assignee set to Michat Lipski

#2 - December 20, 2011 16:10 - Michat Lipski
- Subject changed from does not build to SMB transport plugin does not build

#3 - December 21, 2011 18:29 - John Lindgren

- Status changed from New to Closed

- Assignee changed from Michat Lipski to John Lindgren
- % Done changed from 0 to 100

Fixed:

https://github.com/audacious-media-player/audacious-plugins/commit/a31c99a88e78004275229f4966{8a80e3426ee4f

May 03, 2025

1/2



https://github.com/audacious-media-player/audacious-plugins/commit/a31c99a88e78004275229f4966f8a80e3426ee4f

#4 - January 23, 2012 09:40 - G6tz Waschk

It still does not build in 3.2 final:

smb.c:45:1: error: unknown type name 'gchar'

smb.c:45:1: error: unknown type name 'gchar'

smb.c: In function 'smb_vfs_fopen_impl':

smb.c:53:3: warning: implicit declaration of function 'g_newO' [-Wimplicit-function-declaration]
smb.c:53:19: error: expected expression before 'SMBFile'

smb.c:54:3: warning: passing argument 1 of 'smbc_open' from incompatible pointer type [enabled by default]
/usr/include/libsmbclient.h:1225:5: note: expected 'const char *' but argument is of type 'const int *'
smb.c:58:5: warning: implicit declaration of function 'g_free' [-Wimplicit-function-declaration]
smb.c:62:3: warning: passing argument 1 of 'smbc_stat' from incompatible pointer type [enabled by default]
/usr/include/libsmbclient.h:1612:5: note: expected 'const char *' but argument is of type 'const int *'
smb.c: At top level:

smb. In function 'smb_vfs_feof_ impl':
:152:1: warning: control reaches end of non-void function [-Wreturn-typel
smb. In function 'smb_vfs_getc_impl':
smb.c:98:1: warning: control reaches end of non-void function [-Wreturn-typel]

Failed to compile smb.c (plugin)!

smb.

smb.c:68:1: error: unknown type name 'gint'
smb.c: In function 'smb_vfs_fclose_impl':
smb.c:70:3: error: unknown type name 'gint'
smb.c: At top level:
smb.c:80:1: error: unknown type name 'ginté64'
smb.c:80:47: error: unknown type name 'gint64'
smb.c:80:60: error: unknown type name 'gint64'
smb.c:86:1: error: unknown type name 'ginté64'
smb.c:86:54: error: unknown type name 'gint64'
smb.c:86:67: error: unknown type name 'gint64'
smb.c:91:1: error: unknown type name 'gint'
smb.c: In function 'smb_vfs_getc_impl':
smb.c:97:11: error: 'gint' undeclared (first use in this function)
smb.c:97:11: note: each undeclared identifier is reported only once for each function it appears in
smb.c:97:17: error: expected ';' before 'temp'
smb.c: At top level:
smb.c:100:1: error: unknown type name 'gint'
smb.c:100:48: error: unknown type name 'gint64'
smb.c:100:63: error: unknown type name 'gint'
smb.c:126:1: error: unknown type name 'gint'
smb.c:126:26: error: unknown type name 'gint'
smb.c: In function 'smb_vfs_rewind_impl':
smb.c:134:3: warning: implicit declaration of function 'smb_vfs_fseek_impl' [-Wimplicit-function-declaration]
smb.c: At top level:
smb.c:137:1: error: unknown type name 'gint64'
smb.c:143:1: error: unknown type name 'gboolean'
smb.c: In function 'smb_vfs_feof_ impl':
smb.c:147:3: error: unknown type name 'gint64'
smb.c:151:11: error: 'gboolean' undeclared (first use in this function)
smb.c: At top level:
smb.c:154:1: error: unknown type name 'gint'
smb.c:154:52: error: unknown type name 'gint64'
smb.c:159:1: error: unknown type name 'gint64'
smb.c:166:2: warning: initialization from incompatible pointer type [enabled by default]
smb.c:166:2: warning: (near initialization for 'smb_const.vfs_fopen_impl') [enabled by default]
smb.c:168:2: error: 'smb_vfs_fread_impl' undeclared here (not in a function)
smb.c:169:2: error: 'smb_vfs_fwrite_impl' undeclared here (not in a function)
smb.c:171:2: error: 'smb_vfs_ungetc_impl' undeclared here (not in a function)
smb.c:172:2: error: 'smb_vfs_fseek_impl' undeclared here (not in a function)
smb.c:174:2: warning: initialization from incompatible pointer type [enabled by default]
smb.c:174:2: warning: (near initialization for 'smb_const.vfs_ftell impl') [enabled by default]
smb.c:176:2: error: 'smb_vfs_truncate_impl' undeclared here (not in a function)
smb.c:178:1: warning: initialization from incompatible pointer type [enabled by default]
smb.c:178:1: warning: (near initialization for 'smb_const.vfs_fsize_impl') [enabled by default]
smb.c:180:1: error: unknown type name 'gboolean'
smb.c: In function 'init':
smb.c:187:3: warning: implicit declaration of function 'g_message' [-Wimplicit-function-declaration]
smb.c: At top level:
smb.c:194:1: error: unknown type name 'gchar'
smb.c:194:1: warning: initialization from incompatible pointer type [enabled by default]
smb.c:194:1: warning: (near initialization for 'smb_schemes[0]') [enabled by default]
smb.c:196:1: warning: initialization from incompatible pointer type [enabled by default]
smb.c:196:1: warning: (near initialization for '_aud_plugin_self.schemes') [enabled by default]
